import { SpotlightDirective } from './spotlight.directive';
export declare class SpotlightService {
    /** available spotlights list */
    private _targetMap;
    /**
     * Registers the spotlight directive into the service
     * @param id - spotlight id
     * @param target - spotlight's directive reference
     */
    register(id: string, target: SpotlightDirective): void;
    /**
     * All registred directive ids
     */
    getIdlist(): string[];
    /**
     * Get SpotlightDirective instance by id
     * @param id - spotlight id
     */
    getById(id: string): SpotlightDirective;
    /**
     * Unregisters the spotlight directive from the service. Should be used in directive's `OnDestroy` hook
     * @param id - spotlight's id
     */
    deregister(id: string): void;
}
